#include <stdio.h>
#include "libpq-fe.h"

int
main(int ac, char **av)
{
	PGconn *conn = PQconnectStart(av[1]);

	PQtrace(conn, stdout);

	while (1)
	{
		PQconnectPoll(conn);

		if (PQstatus(conn) == CONNECTION_OK)
			break;

		else if (PQstatus(conn) == CONNECTION_BAD)
		{
			fprintf(stderr, "could not connect: %s\n", PQerrorMessage(conn));
			break;
		}
	}

	PQfinish(conn);

	return 0;
}